View Issue Details

IDProjectCategoryView StatusLast Update
0001831XdebugUncategorizedpublic2020-10-14 15:02
Reporterderick Assigned Toderick  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0dev 
Fixed in Version3.0.0beta1 
Summary0001831: Add diagnostics
DescriptionAdd a diagnostic function "xdebug_info()", which collates information about set-up, and also includes information for when things go wrong.

The following information should be available through it:

- PHP and Xdebug version, SAPI, 64/32bit, and ZTS/NTS, and used ini files (if possible)
- Which mode Xdebug is in.

And the following problem situations:

- Unable to open files. Add information about ownership, and permissions of directories is possible
- Debug connection attempts. Add host names, ports, which headers have been tried.
- Breakpoints set outside the directory of the original "fireuri", taking into account that if it's a "public_html" (or variant thereof), then consider the root one extra directory up.
TagsNo tags attached.
Operating System
PHP Version7.4.0-7.4.4

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-08-12 16:21 derick New Issue
2020-08-14 13:05 derick Assigned To => derick
2020-08-14 13:05 derick Status new => closed
2020-08-14 13:05 derick Resolution open => fixed
2020-08-14 13:05 derick Fixed in Version => 3.0dev
2020-10-14 15:02 derick Fixed in Version 3.0dev => 3.0.0beta1